<template>
    <require from="./controls/badges.element"></require>
    <require from="./controls/item-control.element"></require>

    <ul class="uk-nav-sub">
        <li repeat.for="[key, item] of namespace.children">
            <a if.bind="item.type === 0" click.delegate="select(item)" class="${selectedNamespace === item ? 'uk-text-primary' : ''}">
                <div class="uk-flex">
                    ${key}
                    <badges class="margin-left-auto" missing.bind="item.status.missing"></badges>
                </div>
            </a>
            <span else>
                <div class="uk-flex">
                    <a click.delegate="select(item)" class="${selectedNamespace === item ? 'uk-text-primary' : ''}">
                        <span uk-icon="file-text"></span> ${key}
                    </a>
                    <span class="margin-left-auto">
                        <item-control data.bind="data" item.bind="item"></item-control>
                        <badges missing.bind="item.status.missing"></badges>
                    </span>
                </div>
                <namespaces if.bind="item.type === 1" data.bind="data" namespace.bind="item" selected-namespace.two-way="selectedNamespace">
                </namespaces>
            </span>
        </li>
    </ul>
</template>
